IC (1.0.0)
calculateBalanceList
Stock inventory:
This method retrieves the details of estimated number of item that are available for purchase. The calling system, via the service, can download data on the availability of certain warehouse items, for example in the process of handling sales orders. If the location of the Inter Cars warehouse is specified in the operation call, the state is only designated for this warehouse. Otherwise, state are returned for all warehouses from customer logistic path. Maxiumum of 100 SKUs per request is allowed.
Request URL without location definition
``` curl -X GET "https://dev.gw.intercars.eu/inventory/1.0.0/inventory/stock?sku=ADDFFF,ADDFFA" ```Request URL with location definition
``` curl -X GET "https://dev.gw.intercars.eu/inventory/1.0.0/inventory/stock?sku=ADDFFF,ADDFFA&location=POZ,HZA" ```Request URL with receiver party definition
``` curl -X GET "https://dev.gw.intercars.eu/inventory/1.0.0/inventory/stock?sku=ADDFFF,ADDFFA&shipTo=00008" ```Response JSON
``` [ { "location": "POZ", "sku": "ADDFFF", "availability": 0, "latestDeliveryDate": null, "orderDateTimeTo": "2024-06-26T09:15:00", "customerRouteStartDateTime": "2024-06-26T09:30:00", "customerRouteCode": "3LISC2", "index": "OP 520", "name": "Filtr oleju", "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-", "gtuCode": "GTU_03", "blockedReturn": false, "eans":[ "3LISC2" ] }, { "location": "POZ", "sku": "ADDFFA", "availability": 5, "latestDeliveryDate": "2020-03-27", "orderDateTimeTo": "2024-06-26T09:15:00", "customerRouteStartDateTime": "2024-06-26T09:30:00", "customerRouteCode": "3LISC2", "index": "OP 520", "name": "Filtr oleju", "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-", "gtuCode": "GTU_03", "eans":[ "3LISC2" ] }, { "location": "HZA", "sku": "ADDFFF", "availability": 10, "latestDeliveryDate": "2020-03-29", "orderDateTimeTo": "2024-06-26T09:15:00", "customerRouteStartDateTime": "2024-06-26T09:30:00", "customerRouteCode": "3LISC2", "index": "OP 520", "name": "Filtr oleju", "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-", "gtuCode": "GTU_03", "eans":[ "3LISC2" ] }, { "location": "HZA", "sku": "ADDFFA", "availability": 10, "latestDeliveryDate": "2020-03-29", "orderDateTimeTo": "2024-06-26T09:15:00", "customerRouteStartDateTime": "2024-06-26T09:30:00", "customerRouteCode": "3LISC2", "index": "OP 520", "name": "Filtr oleju", "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-", "gtuCode": "GTU_03", "eans":[ "3LISC2" ] } ] ``` Note, that all of estimated number of item which are returned by this method are available for puchase. In case of response presented above, you can buy 11 units of ADDFFF and 15 units of ADDFFA.Authorizations:
query Parameters
| sku | Array of strings Example: sku=ADDFFF The SKU is the Inter Cars product identifier from the IC product catalog. This parameter gives you control to limits the results set to items from the specified SKU. For example, if you search for ADDFFF availability ([URL]?sku=ADDFFF), the result will give you information about number of ADDFFF product that are available for purchase. You can also use any combination of the location and sku to filter the result set. Maximum: 100 SKUs Required: 1 SKU |
| index | Array of strings Example: index=OP 520 The index is the Inter Cars product index. This parameter gives you control to limit the results set to items from the specified index. You can use either sku or index to filter the result set. |
| location | Array of strings Example: location=KOM This field lets you filter by item location and is used to limit the results to specified warehouse. From the business meaning, the location is the code of Inter Cars unit. For example, if you search for product availability in HZA warehouse ([URL]?location=HZA), the result set will be limited to this specified location. Maximum: 10 warehouse codes Default: Empty value - state are returned for all warehouses from customer logistic path. |
| shipTo | string^[A-Z0-9]+$ Example: shipTo=8.0 This field allows to set receiver party customer identifier according to main customer database. If not provided, receiver and payer are considered the same and are taken from authorization token. |
Responses
Response samples
- 200
- 400
[- {
- "location": "KOM",
- "sku": "ADDFFF",
- "availability": 0,
- "latestDeliveryDate": "2019-08-24",
- "orderDateTimeTo": "2019-08-24T14:15:22Z",
- "shipToBusinessUnitDeliveryDateTime": "2019-08-24T14:15:22Z",
- "customerRouteStartDateTime": "2019-08-24T14:15:22Z",
- "customerRouteCode": "3LISC2",
- "index": "OP 520",
- "name": "Filtr oleju",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "blockedReturn": false,
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
]
}
]Stock inventory request with many SKUs (Maxiumum o
Stock inventory request with many SKUs (Maxiumum of 100 SKUs per request is allowed). Response is same as GET Inventory Stock.
Authorizations:
query Parameters
| location | Array of strings Example: location=KOM Stock warehouse Maximum: 10 warehouse codes Default: Empty value - state are returned for all warehouses from customer logistic path. |
| shipTo | string^[A-Z0-9]+$ Example: shipTo=8.0 This field allows to set receiver party if it's not same as payer party. |
Request Body schema: application/json
| sku | string([A-Z0-9]+)(,{1}[A-Z0-9]+)* Comma-separated list of SKUs |
Responses
Request samples
- Payload
{- "sku": "ADDFFF,ADDFA,ADDFZ"
}Response samples
- 200
- 400
[- {
- "location": "KOM",
- "sku": "ADDFFF",
- "availability": 0,
- "latestDeliveryDate": "2019-04-18",
- "orderDateTimeTo": "2019-08-24T14:15:22Z",
- "shipToBusinessUnitDeliveryDateTime": "2019-08-24T14:15:22Z",
- "customerRouteStartDateTime": "2019-08-24T14:15:22Z",
- "customerRouteCode": "3LISC2",
- "index": "OP 520",
- "name": "Filtr oleju",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "blockedReturn": false,
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
]
}
]Inventory Quote: <h4>Request URL with sku</h
Inventory Quote:
Request URL with sku
``` curl -X POST "https://dev.gw.intercars.eu/inventory/1.0.0/inventory/quote?sku=ADDFFF,ADDFFA"<h4>Request URL with sku body</h4>
```
curl -X POST "https://dev.gw.intercars.eu/inventory/1.0.0/inventory/quote"
```
<h4>Request Body JSON</h4>
```
{
"lines": [
{
"sku": "ADDFFA",
"quantity": 1
},
{
"sku": "ADDFFF",
"quantity": 1
}
]
}
```
<h4>Response JSON</h4>
```
[
{
"sku": "ADDFFA",
"quantity": 1,
"price": {
"currencyCode": "PLN",
"listPriceNet": 12.75,
"listPriceGross": 15.68,
"vatPercentage": 23,
"vatAmount": 2.93,
"refundableAmountNet": 0,
"refundableAmountGross": 0,
"customerPriceNet": 12.75,
"customerPriceGross": 15.68
},
"index": "OP 520",
"name": "Filtr oleju",
"description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
"gtuCode": "GTU_03",
"blockedReturn": false,
"eans":[
"3LISC2"
],
"lines": [
{
"sku": "ADDFFA",
"location": "HSN",
"availability": 10,
"latestDeliveryDate": "2022-03-26",
"orderDateTimeTo": "2024-06-26T09:15:00",
"customerRouteStartDateTime": "2024-06-26T09:30:00",
"customerRouteCode": "3LISC2"
}
]
},
{
"sku": "ADDFFA",
"quantity": 1,
"price": {
"currencyCode": "PLN",
"listPriceNet": 12.75,
"listPriceGross": 15.68,
"vatPercentage": 23,
"vatAmount": 2.93,
"refundableAmountNet": 0,
"refundableAmountGross": 0,
"customerPriceNet": 12.75,
"customerPriceGross": 15.68
},
"index": "OP 520",
"name": "Filtr oleju",
"description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
"gtuCode": "GTU_03",
"blockedReturn": false,
"eans":[
"3LISC2"
],
"lines": [
{
"sku": "ADDFFA",
"location": "HZA",
"availability": 10,
"latestDeliveryDate": "2022-03-26",
"orderDateTimeTo": "2024-06-26T09:15:00",
"customerRouteStartDateTime": "2024-06-26T09:30:00",
"customerRouteCode": "3LISC2"
}
]
}
]
```
Authorizations:
query Parameters
| sku | Array of strings Example: sku=ADDFFF The SKU is the Inter Cars product identifier from the IC product catalog. This parameter gives you control to limits the results set to items from the specified SKU. For example, if you search for ADDFFF availability ([URL]?sku=ADDFFF), the result will give you information about number of ADDFFF product that are available for purchase. You can also use any combination of the location and sku to filter the result set. Maximum: 30 SKUs Required: 0 SKU |
| index | Array of strings Example: index=OP 520 The index is the Inter Cars product index. This parameter gives you control to limit the results set to items from the specified index. You can use either sku or index to filter the result set. Maximum: 30 indexes Required: 0 indexes |
| location | Array of strings Example: location=KOM Stock warehouse Maximum: 10 warehouse codes Default: Empty value - state are returned for all warehouses from customer logistic path. |
| shipTo | string^[A-Z0-9]+$ Example: shipTo=8.0 This field allows to set receiver party if it's not same as payer party. |
Request Body schema: application/json
Array of objects | |||||
Array
| |||||
Responses
Request samples
- Payload
{- "lines": [
- {
- "sku": "ADDFFF",
- "quantity": 10
}
]
}Response samples
- 200
- 400
[- {
- "sku": "ADDFFF",
- "quantity": 10,
- "price": {
- "currencyCode": "PLN",
- "listPriceNet": 100,
- "listPriceGross": 123,
- "vatPercentage": 23,
- "vatAmount": 23,
- "refundableAmount": 0,
- "customerPriceNet": 80,
- "customerPriceGross": 98.4
}, - "index": "OP 520",
- "name": "Filtr oleju",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "blockedReturn": false,
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "lines": [
- {
- "location": "KOM",
- "sku": "ADDFFF",
- "availability": 0,
- "latestDeliveryDate": "2019-04-18",
- "orderDateTimeTo": "2019-08-24T14:15:22Z",
- "shipToBusinessUnitDeliveryDateTime": "2019-08-24T14:15:22Z",
- "customerRouteStartDateTime": "2019-08-24T14:15:22Z",
- "customerRouteCode": "3LISC2"
}
]
}
]/ic/catalog/category
Authorizations:
query Parameters
| categoryId | string Sales Classification Node/Leaf Identifier |
header Parameters
| Accept-Language required | string Language code [ISO 639-1] example en. Currently supported languages: bg, bs, cs, de, el, en, et, hu, hr, lt, lv, pl, ro, sk, sl, sr, uk |
Responses
Response samples
- 200
[- {
- "categoryId": "SalesClassificationNode_6111000",
- "label": "Filtr oleju / obudowa / uszczelka"
}
]/ic/catalog/products
Authorizations:
query Parameters
| pageNumber | integer [ 0 .. 1000 ] Default: 0 Minimum 0 Maximum 1000 |
| pageSize | integer The pageSize is allowed from 1 to 100 with default value 25 |
| categoryId | string Sales Classification Node/Leaf Identifier. This parameter is required if you do not send the sku or index parameter |
| sku | string SKU is the Inter Cars product identifier from the IC product catalog. This parameter gives you control to limits the results set to items from the specified SKU. This parameter is required if you do not send the categoryId and index parameter. You cannot send this parameter together with the index parameter. You can only send 1 SKU. |
| index | string Product index from the IC product catalog. This parameter gives you control to limits the results set to items from the specified index. This parameter is required if you do not send the categoryId and sku parameter. You cannot send this parameter together with the sku parameter. You can only send 1 index. |
| brands | string |
header Parameters
| Accept-Language required | string Language code [ISO 639-1] example en. Currently supported languages: bg, bs, cs, de, el, en, et, hu, hr, lt, lv, pl, ro, sk, sl, sr, uk |
Responses
Response samples
- 200
{- "totalResults": 1000,
- "hasNextPage": true,
- "requestProcessingTime": 15.31,
- "products": [
- {
- "customsCode": "40094200",
- "sku": "200383",
- "index": "QB32.303",
- "tecDoc": "32.303",
- "tecDocProd": "6304",
- "articleNumber": "32.303",
- "brand": "QUICK BRAKE",
- "shortDescription": "Oil filter",
- "description": "Oil filter",
- "eans": [
- "4611234567893",
- "4611234567891"
], - "gtuCode": "GTU_7",
- "genericArticleReferences": [
- {
- "genericArticleId": "GenericArticle_1280",
- "primary": true,
- "name": {
- "pl": "Generic article description"
}
}
], - "packageWeight": "0,102",
- "packageWidht": "3",
- "packageLenght": "33",
- "packageHeight": "2",
- "blockedReturn": true
}
]
}getDelivery
This call retrieves single dalivery detailed data. The unique identifier (delivery.id) is passed in at the end of the call URI. For example, if you want to get detailed information about your PLXYZ00000001 delivery, you need to invoke request as /delivery/PLXYZ00000001. As a response, you will get deliveries collection containing all products lines in delivery.
Request URL
``` curl -X GET "https://webapi.intercars.eu/v1/delivery/IC10000001" ```Response JSON
``` [ { "id": "LAZ/19/0001", "orderId": "LAZ/19/0001", "currencyCode": "PLN", "billTo": "000008", "shipTo": "000008", "shipFrom": "LAZ", "deliveryMethod": "DHL", "creationDate": "2021-07-30T10:12:32.321", "lines": [ { "index": "0 451 103 276", "sku": "ADDFFF", "name": "Filtr oleju", "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-", "gtuCode": "GTU_03", "eans": [ "5904608005205" ], "shippedQuantity": 0, "returnedQuantity": 0, "unitPriceNet": 100, "unitPriceGross": 123, "vatPercentage": 23, "totalNet": 500, "totalGross": 615, "brandReference" : { "name": "FILTRON" } "retailPrice": { "priceNet": 100 "priceGross": 123 } } ] } ] ```Authorizations:
path Parameters
| id required | string Example: LAZ/19/0001 Internal shipment id |
Responses
Response samples
- 200
- 400
[- {
- "id": "LAZ/19/0001",
- "orderId": "LAZ/19/0001",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "LAZ",
- "deliveryMethod": "DHL",
- "creationDate": "2019-08-24T14:15:22Z",
- "lines": [
- {
- "index": "0 451 103 276",
- "sku": "ADDFFF",
- "name": "Filtr oleju",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "shippedQuantity": 0,
- "returnedQuantity": 0,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "brandReference": {
- "name": "FILTRON"
}, - "retailPrice": {
- "priceNet": 100,
- "priceGross": 123
}
}
]
}
]searchDelivery
This method searches for deliveries by various query parameters and retrieves list of deliveries. Current version supports only delivery creation date so you can limit your set of deliveries to given period time. For example, you can limit response to last 7 days. Additionaly, this method is supporting pagination controls (limit and offset fields) which allow you to control size of returned orders page. Note, that if you does not define pagination controls, the default value will be taken.
Request URL
``` curl -X GET "https://webapi.intercars.eu/v1/delivery?creationDateFrom=2021-07-29&creationDateTo=2021-08-05&offset=1&limit=20" ```Response JSON
``` [ { "id": "LAZ/19/0001", "orderId": "LAZ/19/0001", "currencyCode": "PLN", "billTo": "000008", "shipTo": "000008", "shipFrom": "LAZ", "deliveryMethod": "DHL", "creationDate": "2021-07-30T10:12:32.321", "lines": [ { "index": "0 451 103 276", "sku": "ADDFFF", "name": "Filtr oleju", "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-", "gtuCode": "GTU_03", "eans": [ "5904608005205" ], "shippedQuantity": 5, "returnedQuantity": 0, "unitPriceNet": 100, "unitPriceGross": 123, "vatPercentage": 23, "totalNet": 500, "totalGross": 615, "brandReference" : { "name": "FILTRON" } "retailPrice": { "priceNet": 100 "priceGross": 123 } } ] } ] ```Authorizations:
query Parameters
| creationDateFrom required | string <date> Description: The start date of the delivery window (earliest projected delivery date). This value is taken in UTC format (yyyy-MM-dd). Note that creationDateFrom and creationDateTo are obligatory, so you need to define both of parameter. Restriction: Two days maximum windows is supported, so the period time between end date and start date could not be bigger than 2. |
| creationDateTo required | string <date> Description: The end date of the delivery window (latest projected delivery date). This value is taken in UTC format (yyyy-MM-dd). Note that creationDateFrom and creationDateTo are obligatory, so you need to define both of parameter. Restriction: Two days maximum windows is supported, so the period time between end date and start date could not be bigger than 2. |
| offset | integer <int32> Specifies the number of items to skip in the result set. This is used with the limit field to control the pagination of the output. If offset is 1 and limit is 10, the method will retrieve items 1-10 from the list of items returned, if offset is 11 and limit is 10, the method will retrieve items 11 thru 20 from the list of items returned. Valid Values: 0-10,000 (inclusive) Default: 1 |
| limit | integer <int32> The number of items from the result set returned in a single page. Default: 20 Maximum number of items per page (limit): 50 |
Responses
Response samples
- 200
- 400
[- {
- "id": "LAZ/19/0001",
- "orderId": "LAZ/19/0001",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "LAZ",
- "deliveryMethod": "DHL",
- "creationDate": "2019-08-24T14:15:22Z",
- "lines": [
- {
- "index": "0 451 103 276",
- "sku": "ADDFFF",
- "name": "Filtr oleju",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "shippedQuantity": 0,
- "returnedQuantity": 0,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "brandReference": {
- "name": "FILTRON"
}, - "retailPrice": {
- "priceNet": 100,
- "priceGross": 123
}
}
]
}
]searchDeliveryMetadata
This method searches for deliveries by various query parameters and retrieves list of deliveries. Current version supports only delivery creation date so you can limit your set of deliveries to given period time. For example, you can limit response to last 7 days. Additionaly, this method is supporting pagination controls (limit and offset fields) which allow you to control size of returned orders page. Note, that if you does not define pagination controls, the default value will be taken.
Request URL
``` curl -X GET "https://webapi.intercars.eu/v1/delivery/metadata?creationDateFrom=2021-07-29&creationDateTo=2021-08-05&offset=1&limit=20" ```Response JSON
``` [ { "id": "LAZ/19/0001", "orderId": "LAZ/19/0001", "currencyCode": "PLN", "billTo": "000008", "shipTo": "000008", "shipFrom": "LAZ", "deliveryMethod": "DHL", "creationDate": "2021-07-30T10:12:32.321", } ] ```Authorizations:
query Parameters
| creationDateFrom required | string <date> Description: The start date of the delivery window (earliest projected delivery date). This value is taken in UTC format (yyyy-MM-dd). Note that creationDateFrom and creationDateTo are obligatory, so you need to define both of parameter. Restriction: Two days maximum windows is supported, so the period time between end date and start date could not be bigger than 2. |
| creationDateTo required | string <date> Description: The end date of the delivery window (latest projected delivery date). This value is taken in UTC format (yyyy-MM-dd). Note that creationDateFrom and creationDateTo are obligatory, so you need to define both of parameter. Restriction: Two days maximum windows is supported, so the period time between end date and start date could not be bigger than 2. |
| offset | integer <int32> Specifies the number of items to skip in the result set. This is used with the limit field to control the pagination of the output. If offset is 1 and limit is 10, the method will retrieve items 1-10 from the list of items returned, if offset is 11 and limit is 10, the method will retrieve items 11 thru 20 from the list of items returned. Valid Values: 0-10,000 (inclusive) Default: 1 |
| limit | integer <int32> The number of items from the result set returned in a single page. Default: 20 Maximum number of items per page (limit): 50 |
Responses
Response samples
- 200
- 400
[- {
- "id": "LAZ/19/0001",
- "orderId": "LAZ/19/0001",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "LAZ",
- "deliveryMethod": "DHL",
- "creationDate": "2019-08-24T14:15:22Z"
}
]getInvoice
This call retrieves single invoice detailed data. The unique identifier (invoice.id) is passed in at the end of the call URI. For example, if you want to get detailed information about your PL00000001 invoice, you need to invoke request as /invoice/PL00000001. If the invoice.id contains special characters such as slashes (/), the identifier must be URL-encoded before being used in the URI path. For example, for an invoice ID: XYZ/123/ABC - the request should be invoked as: /invoice/XYZ%2F123%2FABC As a response, you will get invoice details containing order and delivery references allowing to match the document with orders / requisitions. If your invoice ID is a technical ID, add the optional techId query parameter with a value of true, eg. /invoice/00000001?techId=true
[
{
"id": "LAZ/19/0001",
"techId": "4564453",
"currencyCode": "PLN",
"billTo": "000008",
"shipTo": "000008",
"issueFrom": "KOM",
"paymentMethod": "CASH",
"issueDate": "2018-10-12T10:12:32.321",
"salesDate": "2018-10-12T10:12:32.321",
"dueDate": "2018-10-12T10:12:32.321",
"invoiceClassification": "INVOICE",
"invoiceType": "INVOICE",
"totalNet": 500,
"totalGross": 615,
"paymentStatus": "PAID",
"toBePaid": 615,
"ksefNumber" : "1234567890-1234567F-123456D789SE-22",
"lines": [
{
"sku": "ADDFFF",
"quantity": 5,
"unitPriceNet": 100,
"unitPriceGross": 123,
"vatPercentage": 23,
"totalNet": 500,
"totalGross": 615,
"orderId": "LAZ/19/0001",
"tariffNo": "1234567890",
"deliveryId": [
"LAZ/19/001, LAZ/19/002"
]
}
]
}
]
Authorizations:
path Parameters
| id required | string Example: LAZ/19/0001 Internal invoice id |
query Parameters
| techId | boolean Example: techId=true The parameter should be sent with the true value when the sent query path id is a technical identifier. otherwise, the parameter should be false or omitted from the request |
Responses
Response samples
- 200
[- {
- "id": "LAZ/19/0001",
- "techId": "4534546",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "issueFrom": "KOM",
- "paymentMethod": "CASH",
- "issueDate": "2019-08-24T14:15:22Z",
- "salesDate": "2019-08-24T14:15:22Z",
- "dueDate": "2019-08-24T14:15:22Z",
- "invoiceClassification": "INVOICE",
- "invoiceType": "INVOICE",
- "totalNet": 500,
- "totalGross": 615,
- "paymentStatus": "PAID",
- "toBePaid": 615,
- "ksefNumber": "1234567890-1234567F-123456D789SE-22",
- "relatedInvoice": { },
- "lines": [
- {
- "sku": "ADDFFF",
- "quantity": 5,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "orderId": "LAZ/19/0001",
- "tariffNo": "A1234567890",
- "deliveryId": [
- "LAZ/19/001, LAZ/19/002"
]
}
]
}
]searchInvoice
This method searches for invoices by various query parameters and retrieves summaries of the invoices. Current version supports only invoice date so you can limit your set of orders to given period time. For example, you can limit response to last two day (/invoice?issueDateFrom=2018-01-09&issueDateTo=2018-01-11). Additionaly, this method supports pagination controls (limit and offset fields) which allow you to control size of returned orders page. Note, that if you does not define pagination controls, the default value will be taken. You can filter out response to single shipTo(/invoice?shipTo=XXXXXX). Additionally, you can filter type of invoices via parameter invoiceClassification(INVOICE and CREDIT_NOTE) example: (/invoice?invoiceClassification=INVOICE) or (/invoice?invoiceClassification=CREDIT_NOTE).
[
{
"id": "LAZ/19/0001",
"techId": "4564453",
"currencyCode": "PLN",
"billTo": "000008",
"shipTo": "000008",
"issueFrom": "KOM",
"paymentMethod": "CASH",
"issueDate": "2018-10-12T10:12:32.321",
"salesDate": "2018-10-12T10:12:32.321",
"dueDate": "2018-10-12T10:12:32.321",
"invoiceClassification": "INVOICE",
"invoiceType": "INVOICE",
"totalNet": 500,
"totalGross": 615,
"paymentStatus": "UNPAID",
"toBePaid": 615,
"ksefNumber" : "1234567890-1234567F-123456D789SE-22",
}
]
Authorizations:
query Parameters
| issueDateFrom required | string <date> Description: The start date of the invoices window (earliest projected invoice date). This value is taken in UTC format (yyyy-MM-dd). Note that issueDateFrom and issueDateTo are obligatory, so you need to define both of parameter. Restriction: Two days maximum windows is supported, so the period time between end date and start date could not be bigger than 2. |
| issueDateTo required | string <date> Description: The end date of the invoices window (latest projected invoice date). This value is taken in UTC format (yyyy-MM-dd). Note that issueDateFrom and issueDateTo are obligatory, so you need to define both of parameter. Restriction: Two days maximum windows is supported, so the period time between end date and start date could not be bigger than 2. |
| offset | integer <int32> Specifies the number of items to skip in the result set. This is used with the limit field to control the pagination of the output. If offset is 1 and limit is 10, the method will retrieve items 1-10 from the list of items returned, if offset is 11 and limit is 10, the method will retrieve items 11 thru 20 from the list of items returned. Valid Values: 0-10,000 (inclusive) Default: 1 |
| limit | integer <int32> The number of items from the result set returned in a single page. Default: 20 Maximum number of items per page (limit): 200 |
| shipTo | string <string> Value for filtering specific shipTo in invoices. |
| invoiceClassification | string <string> Invoice classification type which will be listed in response. INVOICE or CREDIT_NOTE are accepted as strings. |
Responses
Response samples
- 200
- 400
[- {
- "id": "LAZ/19/0001",
- "techId": "4534546",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "issueFrom": "KOM",
- "paymentMethod": "CASH",
- "issueDate": "2019-08-24T14:15:22Z",
- "salesDate": "2019-08-24T14:15:22Z",
- "dueDate": "2019-08-24T14:15:22Z",
- "invoiceClassification": "INVOICE",
- "invoiceType": "INVOICE",
- "totalNet": 500,
- "totalGross": 615,
- "paymentStatus": "PAID",
- "toBePaid": 615,
- "ksefNumber": "1234567890-1234567F-123456D789SE-22",
- "relatedInvoice": { },
- "lines": [
- {
- "sku": "ADDFFF",
- "quantity": 5,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "orderId": "LAZ/19/0001",
- "tariffNo": "A1234567890",
- "deliveryId": [
- "LAZ/19/001, LAZ/19/002"
]
}
]
}
]searchOrder
Search for your orders:
This method searches for orders related with your requisitions by various query parameters and retrieves summaries of the orders. Current version is support only requisition creation date so you can limit your set of orders to given period time. For example, you can limit response to last two day (/sales/requisition?creationDateFrom=2018-01-09&creationDateTo=2018-01-11). Additionaly, this method is supporting pagination controls (limit and offset fields) which allow you to control size of returned orders page. Note, that if you does not define pagination controls, the default value will be taken.
Request URL
``` /sales/requisition?creationDateFrom=2018-01-11&creationDateTo=2018-01-13&offset=1&limit=20 ```Response JSON
``` [ {Look up: submitRequisition:Response JSON} ] ```Authorizations:
query Parameters
| creationDateFrom required | string <date> Description: The start date of the orders window (earliest projected order date). This value is taken in UTC format (yyyy-MM-dd). Note that creationDateFrom and creationDateTo are obligatory, so you need to define both of parameter. Restriction: Two days maximum windows is supported, so the period time between end date and start date could not be bigger than 2. |
| creationDateTo required | string <date> Description: The end date of the orders window (latest projected order date). This value is taken in UTC format (yyyy-MM-dd). Note that creationDateFrom and creationDateTo are obligatory, so you need to define both of parameter. Restriction: Two days maximum windows is supported, so the period time between end date and start date could not be bigger than 2. |
| offset | integer <int32> Specifies the number of items to skip in the result set. This is used with the limit field to control the pagination of the output. If offset is 1 and limit is 10, the method will retrieve items 1-10 from the list of items returned, if offset is 11 and limit is 10, the method will retrieve items 11 thru 20 from the list of items returned. Valid Values: 0-10,000 (inclusive) Default: 1 |
| limit | integer <int32> The number of items from the result set returned in a single page. Default: 20 Maximum number of items per page (limit): 50 |
| shipTo | string (CustomerID) ^[A-Z0-9]+$ Example: shipTo=8.0 This field allows to find requisitions by receiver party customer identifier. If not provided, receiver and payer are considered the same and are taken from authorization token. |
Responses
Response samples
- 200
- 400
[- {
- "id": "LAZ/19/1254",
- "requisitionId": "IC/19/1254",
- "fiscalDocumentNumber": "LAZ/19/001",
- "customNumber": "A0045",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "KOM",
- "deliveryMethod": "DHL",
- "paymentMethod": "CASH",
- "creationDate": "2019-04-18T15:28:47.767+02:00",
- "acceptedDate": "2019-04-18T18:28:47.767+02:00",
- "statusCode": "G",
- "phaseCode": "ACCEPTED",
- "deferredPayment": true,
- "totalNet": 500,
- "totalGross": 615,
- "comments": "string",
- "lines": [
- {
- "name": "Filtr oleju",
- "sku": "ADDFFF",
- "index": "OP 520",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "requiredQuantity": 5,
- "missingQuantity": 0,
- "acceptedQuantity": 0,
- "collectedQuantity": 0,
- "packagedQuantity": 0,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "deliveryId": [
- "LAZ/19/001, LAZ/19/002"
]
}
]
}
]submitRequisition
Requisition:
Use this method to create requisition for a specific inventory item. It is up to you whether you want to create a complete order right from the start, or you can provide information with the initial submit requisition call, and then make one of subsequent - confirm or cancel requisition. Information, that will be required before an order can be published - item sku, requisition price, and required quantity. Optionally, you can specify information to refine your requisition like - delivery method. Note that, if you don`t fill this information, requisition will be saved with your own preferences from IC customer card. Additionally, you can save your own custom number. If the call is successful, orders set with requisition unique ID is returned in the response. This ID will be required for other requisition-related calls. " All of detailed information about individual field has been described inside Requisition and Order object.
Request with optional settings
``` /sales/requisition { "customNumber": "A0045", "deliveryMethod": "DHL", "shipTo": "000008", "deferredPayment": true, "comments": "Please handle with care", "fiscalDocumentEmailAddress": "[email protected]", "lines": [ { "sku": "ADDFFA", "requiredQuantity": 10, "unitPriceNet": 100, "unitPriceGross": 123, "custom":"true" }, { "sku": "ADDFFF", "requiredQuantity": 5, "unitPriceNet": 100, "unitPriceGross": 123, "custom":"false" } ] } ```Request without optional settings
``` /sales/requisition { "lines": [ { "sku": "ADDFFF", "requiredQuantity": 10, "unitPriceNet": 100, "unitPriceGross": 123, "custom":"true" } { "sku": "ADDFFA", "requiredQuantity": 5, "unitPriceNet": 100, "unitPriceGross": 123, "custom":"false" } ] } ```Response JSON
```[ { "id": "LAZ/19/1254", "requisitionId": "IC/19/1254", "fiscalDocumentNumber": "LAZ/19/001", "customNumber": "A0045", "currencyCode": "PLN", "billTo": "000008", "shipTo": "000008", "shipFrom": "LAZ", "deliveryMethod": "DHL", "paymentMethod": "CASH", "creationDate": "2019-04-18T15:28:47.767+02:00", "acceptedDate": "2019-04-18T18:28:47.767+02:00", "statusCode": "G", "phaseCode": "ACCEPTED", "deferredPayment": true, "totalNet": 500, "totalGross": 615, "comments": "Please handle with care", "lines": [ { "name": "Filtr oleju", "sku": "ADDFFF", "index": "0 451 103 276", "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-", "gtuCode": "GTU_03", "eans": [ "5904608005205" ], "requiredQuantity": 10, "missingQuantity": 0, "acceptedQuantity": 0, "collectedQuantity": 0, "packagedQuantity": 0, "unitPriceNet": 100, "unitPriceGross": 123, "vatPercentage": 23, "totalNet": 1000, "totalGross": 1230, "deliveryId": [ "LAZ/19/001, LAZ/19/002" ] }, { "name": "Filtr oleju", "sku": "ADDFFA", "index": "OP 570", "description": "Filtr oleju pasuje do: BUICK CENTURY, CHEVROLET ASTRA, AVEO / KALOS, CAPTIVA, CORSA, EVANDA, K1500, LACETTI, LANOS, NUBIRA, REZZO, TRANS SPORT, ZAFIRA, DAEWOO ESPERO, EVANDA, KALOS 1.2-5.7 09.77-", "gtuCode": "GTU_03", "eans": [], "requiredQuantity": 5, "missingQuantity": 0, "acceptedQuantity": 0, "collectedQuantity": 0, "packagedQuantity": 0, "unitPriceNet": 100, "unitPriceGross": 123, "vatPercentage": 23, "totalNet": 500, "totalGross": 615, "deliveryId": [ "LAZ/19/001, LAZ/19/002" ] } ] } ```Authorizations:
Request Body schema: application/json
| customNumber | string Container, where buyer is able to save his own number. Field will be retured in order sets and could be use to identify order in external eCommerce system. From perspective of Inter Cars Sales system, field has no effect in fulfilment process. |
| deliveryMethod | string (DeliveryMethod) Code of a delivery method which is supported in Inter Cars. It's unique per sales market, same codes can repeat on different markets. List of possible delivery method are available and could be download as a csv file from IC API web side. |
| paymentMethod | string (PaymentMethod) Code of a payment method which is supported in Inter Cars. It's unique per sales market, same codes can repeat on different markets. List of possible payment method are available and could be download as a csv file from IC API web side. |
| deferredPayment | boolean Marker used in invoicing process, which could you define that order will be placed on deferred payment. This flag is controlling whether Asygnata is generated when order is processed. Restriction: Supported only for Polish sales market. |
| fiscalDocumentEmailAddress | string E-mail address to which the electronic sales document will be sent in accordance with the mandatory KSeF regulation |
| shipTo | string (CustomerID) ^[A-Z0-9]+$ Inter Cars internal unique identifier of the customer |
| comments | string Order notes or comments. |
required | Array of RequisitionLineSKU (object) or RequisitionLineIndex (object) (RequisitionLine) |
Responses
Request samples
- Payload
{- "customNumber": "A0045",
- "deliveryMethod": "DHL",
- "paymentMethod": "CASH",
- "deferredPayment": true,
- "shipTo": "8.0",
- "comments": "string",
- "lines": [
- {
- "sku": "ADDFFF",
- "requiredQuantity": 10,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "custom": "true"
}
]
}Response samples
- 200
- 400
[- {
- "id": "LAZ/19/1254",
- "requisitionId": "IC/19/1254",
- "fiscalDocumentNumber": "LAZ/19/001",
- "customNumber": "A0045",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "KOM",
- "deliveryMethod": "DHL",
- "paymentMethod": "CASH",
- "creationDate": "2019-04-18T15:28:47.767+02:00",
- "acceptedDate": "2019-04-18T18:28:47.767+02:00",
- "statusCode": "G",
- "phaseCode": "ACCEPTED",
- "deferredPayment": true,
- "totalNet": 500,
- "totalGross": 615,
- "comments": "string",
- "lines": [
- {
- "name": "Filtr oleju",
- "sku": "ADDFFF",
- "index": "OP 520",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "requiredQuantity": 5,
- "missingQuantity": 0,
- "acceptedQuantity": 0,
- "collectedQuantity": 0,
- "packagedQuantity": 0,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "deliveryId": [
- "LAZ/19/001, LAZ/19/002"
]
}
]
}
]getRequisition
This call retrieves a confirmed and unconfirmed orders related with specified requisition. The unique identifier (requisition.id) is passed in at the end of the call URI. For example, if you want to get detailed information about your IC10000001 requisition, you need to invoke request as [URL]/sales/requisition/IC10000001. As a response, you will get orders collection which will present current state of your fulfillment.
Request URL
``` /sales/requisition/IC10000001 ```Response JSON
``` [ {Same as submitRequisition response} ] ```Authorizations:
path Parameters
| id required | string The unique identifier (requisition.id) which allow you to retrieve detailed information about single requisition. Note that, requisition.id parameter would be returned by response message for submit Requisition call and also, if it is necessary, could be taken by search Requisition method. |
Responses
Response samples
- 200
- 400
[- {
- "id": "LAZ/19/1254",
- "requisitionId": "IC/19/1254",
- "fiscalDocumentNumber": "LAZ/19/001",
- "customNumber": "A0045",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "KOM",
- "deliveryMethod": "DHL",
- "paymentMethod": "CASH",
- "creationDate": "2019-04-18T15:28:47.767+02:00",
- "acceptedDate": "2019-04-18T18:28:47.767+02:00",
- "statusCode": "G",
- "phaseCode": "ACCEPTED",
- "deferredPayment": true,
- "totalNet": 500,
- "totalGross": 615,
- "comments": "string",
- "lines": [
- {
- "name": "Filtr oleju",
- "sku": "ADDFFF",
- "index": "OP 520",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "requiredQuantity": 5,
- "missingQuantity": 0,
- "acceptedQuantity": 0,
- "collectedQuantity": 0,
- "packagedQuantity": 0,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "deliveryId": [
- "LAZ/19/001, LAZ/19/002"
]
}
]
}
]getOrder
This call retrieves a detailed data about single order from your requsition. The unique identifier (order.id) is passed in at the end of the call URI. For example, if you want to get detailed information about 1100130601 order, you have to invoke request as [URL]/sales/order/1100130601. As a response, you will get detailed information about single order from your requisiton. This method is usefull in invoicing and shipping process and allow you to check, for which order this documents has been prepared.'
Request URL
``` /sales/order/IC10000001 ```Response JSON
``` [ {Same as submitRequisition response} ] ```Authorizations:
path Parameters
| id required | string The unique identifier (order.id) which allow you to retrive detailed information about single order. Note that, order.id has been provided by response message for submit Requisition call and, for the future porpose, could be taken by search Requisition or get Requisition method. |
Responses
Response samples
- 200
- 400
{- "id": "LAZ/19/1254",
- "requisitionId": "IC/19/1254",
- "fiscalDocumentNumber": "LAZ/19/001",
- "customNumber": "A0045",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "KOM",
- "deliveryMethod": "DHL",
- "paymentMethod": "CASH",
- "creationDate": "2019-04-18T15:28:47.767+02:00",
- "acceptedDate": "2019-04-18T18:28:47.767+02:00",
- "statusCode": "G",
- "phaseCode": "ACCEPTED",
- "deferredPayment": true,
- "totalNet": 500,
- "totalGross": 615,
- "comments": "string",
- "lines": [
- {
- "name": "Filtr oleju",
- "sku": "ADDFFF",
- "index": "OP 520",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "requiredQuantity": 5,
- "missingQuantity": 0,
- "acceptedQuantity": 0,
- "collectedQuantity": 0,
- "packagedQuantity": 0,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "deliveryId": [
- "LAZ/19/001, LAZ/19/002"
]
}
]
}confirmRequisition
This method allow you to confirm single requisition, which was previously submitted do Inter Cars system. Only requisitions with ACCEPTED status can be confirmed. To check requisition status, search for particular requisition, or use search by status. Optional shipTo parameter is used when requisition was made by master account in favor of another client.
Request URL
``` /sales/requisition/IC10000001/confirm ```Request URL with shipTo parameter
``` /sales/requisition/IC10000001/confirm?shipTo=000008 ```Response JSON
``` [ {Same as submitRequisition response} ] ```Authorizations:
path Parameters
| id required | string The unique identifier (requisition.id) which allow you to confirm a single requisition which was previously submitted. If you use unknow ID, method will return 404 error. |
query Parameters
| shipTo | string (CustomerID) ^[A-Z0-9]+$ Example: shipTo=8.0 This field allows to set receiver party customer identifier according to main customer database. If not provided, receiver and payer are considered the same and are taken from authorization token. |
Responses
Response samples
- 200
- 400
[- {
- "id": "LAZ/19/1254",
- "requisitionId": "IC/19/1254",
- "fiscalDocumentNumber": "LAZ/19/001",
- "customNumber": "A0045",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "KOM",
- "deliveryMethod": "DHL",
- "paymentMethod": "CASH",
- "creationDate": "2019-04-18T15:28:47.767+02:00",
- "acceptedDate": "2019-04-18T18:28:47.767+02:00",
- "statusCode": "G",
- "phaseCode": "ACCEPTED",
- "deferredPayment": true,
- "totalNet": 500,
- "totalGross": 615,
- "comments": "string",
- "lines": [
- {
- "name": "Filtr oleju",
- "sku": "ADDFFF",
- "index": "OP 520",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "requiredQuantity": 5,
- "missingQuantity": 0,
- "acceptedQuantity": 0,
- "collectedQuantity": 0,
- "packagedQuantity": 0,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "deliveryId": [
- "LAZ/19/001, LAZ/19/002"
]
}
]
}
]cancelRequisition
This method allow you to cancel single requisition, which was previously submitted do Inter Cars system. Only requisitions with ACCEPTED status can be cancelled. To check requisition status, search for particular requisition, or use search by status. Optional shipTo parameter is used when requisition was made by master account in favor of another client.
Request URL
``` /sales/requisition/IC10000001/cancel ```Request URL with shipTo parameter
``` /sales/requisition/IC10000001/cancel?shipTo=000008 ```Response JSON
``` [ {Same as submitRequisition response} ] ```Authorizations:
path Parameters
| id required | string The unique identifier (requisition.id) which allow you to confirm a single requisition which was previously submitted to Inter Cars system. If you use unknow ID, method will return 404 error. |
query Parameters
| shipTo | string (CustomerID) ^[A-Z0-9]+$ Example: shipTo=8.0 This field allows to set receiver party customer identifier according to main customer database. If not provided, receiver and payer are considered the same and are taken from authorization token. |
Responses
Response samples
- 200
- 400
[- {
- "id": "LAZ/19/1254",
- "requisitionId": "IC/19/1254",
- "fiscalDocumentNumber": "LAZ/19/001",
- "customNumber": "A0045",
- "currencyCode": "PLN",
- "billTo": "8.0",
- "shipTo": "8.0",
- "shipFrom": "KOM",
- "deliveryMethod": "DHL",
- "paymentMethod": "CASH",
- "creationDate": "2019-04-18T15:28:47.767+02:00",
- "acceptedDate": "2019-04-18T18:28:47.767+02:00",
- "statusCode": "G",
- "phaseCode": "ACCEPTED",
- "deferredPayment": true,
- "totalNet": 500,
- "totalGross": 615,
- "comments": "string",
- "lines": [
- {
- "name": "Filtr oleju",
- "sku": "ADDFFF",
- "index": "OP 520",
- "description": "Filtr oleju pasuje do: CHRYSLER LE BARON, VIPER, FIAT 125, 131, FSO 125P, POLONEZ, POLONEZ I, POLONEZ II, POLONEZ III, GAZ GAZELLE, SOBOL, LADA 1200-1500, 1200-1600, KALINKA/KOMBI 0.8-8.0 07.67-",
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
], - "requiredQuantity": 5,
- "missingQuantity": 0,
- "acceptedQuantity": 0,
- "collectedQuantity": 0,
- "packagedQuantity": 0,
- "unitPriceNet": 100,
- "unitPriceGross": 123,
- "vatPercentage": 23,
- "totalNet": 500,
- "totalGross": 615,
- "deliveryId": [
- "LAZ/19/001, LAZ/19/002"
]
}
]
}
]calculateItemPrice
Pricing calculation: This method retrieves the details of a specific item price, such as list price excluding tax, list price including tax, refundable amount which you need to pay for refundable products, tax rate and customer price, which is calculated as price after all of possible discounts. Note that the method return items price where both list price and customer price are available. However, as a buying option is supported only customer price. Maximum of 100 SKUs/indexes per request is allowed.
Request
curl -X POST "https://dev.gw.intercars.eu/inventory/1.0.0/pricing/quote"
{
"lines": [
{
"sku": "ADDFFA",
"quantity": 10
}
{
"sku": "ADDFFF",
"quantity": 10
}
]
}
Response JSON
``` { "lines": [ { "sku": "ADDFFA", "quantity": 10, "price": { "currencyCode": "PLN", "listPriceNet": 100.00, "listPriceGross": 123.00, "vatPercentage": 23.00, "vatAmount": 23.00, "refundableAmountNet": 0.00, "refundableAmountGross": 0.00, "customerPriceNet": 80.00, "customerPriceGross": 98.40 }, "index": "OP 570", "name": "Filtr oleju", "description": "Filtr oleju pasuje do: BUICK CENTURY, CHEVROLET ASTRA, AVEO / KALOS, CAPTIVA, CORSA, EVANDA, K1500, LACETTI, LANOS, NUBIRA, REZZO, TRANS SPORT, ZAFIRA, DAEWOO ESPERO, EVANDA, KALOS 1.2-5.7 09.77-", "blockedReturn": false, "gtuCode": null, "eans": [ "5904608005205" ] }, { "sku": "ADDFFF", "quantity": 10, "price": { "currencyCode": "PLN", "listPriceNet": 100.00, "listPriceGross": 123.00, "vatPercentage": 23.00, "vatAmount": 23.00, "refundableAmountNet": 0.00, "refundableAmountGross": 0.00, "customerPriceNet": 80.00, "customerPriceGross": 98.40 }, "index": "OP 570", "name": "Filtr oleju", "description": "Filtr oleju pasuje do: BUICK CENTURY, CHEVROLET ASTRA, AVEO / KALOS, CAPTIVA, CORSA, EVANDA, K1500, LACETTI, LANOS, NUBIRA, REZZO, TRANS SPORT, ZAFIRA, DAEWOO ESPERO, EVANDA, KALOS 1.2-5.7 09.77-", "blockedReturn": false, "gtuCode": null, "eans": [ "5904608005205" ] } ] } ```Authorizations:
Request Body schema: application/json
| shipTo | string^[A-Z0-9]+$ Inter Cars internal unique identifier of the customer |
| location | Array of strings <= 10 |
required | Array of objects <= 100 |
Responses
Request samples
- Payload
{- "shipTo": "80",
- "location": [
- "KOM"
], - "lines": [
- {
- "sku": "ADDFFF",
- "quantity": 10
}
]
}Response samples
- 200
- 400
{- "lines": [
- {
- "sku": "ADDFFF",
- "quantity": 10,
- "price": {
- "currencyCode": "PLN",
- "listPriceNet": 100,
- "listPriceGross": 123,
- "vatPercentage": 23,
- "vatAmount": 23,
- "refundableAmountNet": 0,
- "refundableAmountGross": 0,
- "customerPriceNet": 80,
- "customerPriceGross": 98.4
}, - "index": "OP 570",
- "name": "Filtr oleju",
- "description": "Filtr oleju pasuje do: BUICK CENTURY, CHEVROLET ASTRA, AVEO / KALOS, CAPTIVA, CORSA, EVANDA, K1500, LACETTI, LANOS, NUBIRA, REZZO, TRANS SPORT, ZAFIRA, DAEWOO ESPERO, EVANDA, KALOS 1.2-5.7 09.77-",
- "blockedReturn": false,
- "gtuCode": "GTU_03",
- "eans": [
- "5904608005205"
]
}
]
}Response samples
- 200
- 400
{- "name": "INTER CARS S.A.",
- "status": "ACTIVE",
- "countryCode": "PL",
- "address": [
- {
- "countryCode": "PL",
- "locality": "Kielce",
- "streetAddressFull": "Wiejska, 3/5",
- "street": "Wiejska",
- "building": "1",
- "flat": "5",
- "postalCode": "25319",
- "postOffice": "Warszawa"
}
], - "logisticPath": [
- "HSN"
], - "defaultLocation": "KOM",
- "fiscalDocument": "INVOICE",
- "eDocumentStatus": true,
- "paymentMethods": [
- "CASH"
], - "defaultPaymentMethod": "CASH",
- "defaultDeliveryMethod": "DHL",
- "automaticOrderConfirmation": true,
- "routes": {
- "active": true
}
}Response samples
- 200
- 400
{- "orderingAllowed": true,
- "deferredPaymentAllowed": true,
- "balance": 5050.32,
- "overdueBalance": 5421.37,
- "debit": 341549.87,
- "credit": 367048.55,
- "vipPoints": 3123,
- "creditLimit": 6300,
- "utilizedCreditLimit": 5050.32,
- "availableCreditLimit": 5050.32,
- "notInvoicedOrders": 5050.32,
- "currencyCode": "PLN"
}